import logging

from portal.database.models import Review, User, ReviewItem, Submission
from portal.service.general import write_entity

log = logging.getLogger(__name__)


def create_review_items(review: Review, author: User, items: list):
    for item in items:
        ReviewItem(user=author, review=review, file=item['file'], line=item['line'],
                   content=item['content'])
    log.info(f"Added review items {items} to review {review.id} "
             f"for submission {review.submission.id}")
    write_entity(review)


def create_review(submission: Submission):
    r = Review(submission=submission)
    write_entity(r)
